VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "richtx32.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3480
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5415
   LinkTopic       =   "Form1"
   ScaleHeight     =   3480
   ScaleWidth      =   5415
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSpecialBullets 
      Caption         =   "Special Bullets"
      Height          =   495
      Left            =   3960
      TabIndex        =   2
      Top             =   840
      Width           =   1335
   End
   Begin VB.CommandButton cmdNumberedList 
      Caption         =   "Numbered List"
      Height          =   495
      Left            =   3960
      TabIndex        =   1
      Top             =   120
      Width           =   1335
   End
   Begin RichTextLib.RichTextBox rtfTest 
      Height          =   2655
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3615
      _ExtentX        =   6376
      _ExtentY        =   4683
      _Version        =   393217
      TextRTF         =   $"Form1.frx":0000
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Times New Roman"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdNumberedList_Click()
Const RTF_NUMSTART As String = _
    "{\rtf1\ansi\deff0\deftab720{\fonttbl{\f0\fswiss MS Sans Serif;}{\f1\froman\fcharset2 Symbol;}{\f2\fnil\fprq2\fcharset2 Wingdings;}{\f3\froman\fprq2 Times New Roman;}}" & vbCrLf & _
    "{\colortbl\red0\green0\blue0;}" & vbCrLf & _
    "\deflang1033\pard\li720\fi-360\plain\f3\fs24 1.\tab "
Const RTF_NUMITEM As String = _
    "\par @%@.\tab "
Const RTF_NUMEND As String = "\par }"

Dim new_text As String
Dim old_text As String
Dim lines() As String
Dim i As Integer

    ' Get the current text.
    old_text = rtfTest.SelText
    lines = Split(old_text, vbCrLf)
    If LBound(lines) > UBound(lines) Then Exit Sub

    ' Start the list.
    new_text = RTF_NUMSTART & lines(0) & vbCrLf

    ' Add the other lines.
    For i = 1 To UBound(lines)
        new_text = new_text & _
            Replace(RTF_NUMITEM, "@%@", i + 1) & _
            lines(i) & vbCrLf
    Next i

    ' Remove the final vbCrLf.
    new_text = Left$(new_text, Len(new_text) - Len(vbCrLf))

    ' End the list.
    new_text = new_text & RTF_NUMEND

    ' Save the result.
    rtfTest.SelRTF = new_text

    rtfTest.SetFocus
End Sub

Private Sub cmdSpecialBullets_Click()
Const RTF_BULSTART As String = _
    "{\rtf1\ansi\deff0\deftab720{\fonttbl{\f0\fswiss MS Sans Serif;}{\f1\froman\fcharset2 Symbol;}{\f2\froman\fprq2 Times New Roman;}{\f3\fnil\fprq2\fcharset2 Wingdings;}}" & vbCrLf & _
    "{\colortbl\red0\green0\blue0;}" & vbCrLf & _
    "\deflang1033\pard\li1080\fi-360\tx1080\plain\f3\fs24 v\tab \plain\f2\fs24 "
Const RTF_BULITEM As String = _
    "\par \plain\f3\fs24 v\tab \plain\f2\fs24 "
Const RTF_BULEND As String = "\par }"

Dim new_text As String
Dim old_text As String
Dim lines() As String
Dim i As Integer

    ' Get the current text.
    old_text = rtfTest.SelText
    lines = Split(old_text, vbCrLf)
    If LBound(lines) > UBound(lines) Then Exit Sub

    ' Start the list.
    new_text = RTF_BULSTART & lines(0) & vbCrLf

    ' Add the other lines.
    For i = 1 To UBound(lines)
        new_text = new_text & RTF_BULITEM & lines(i) & vbCrLf
    Next i

    ' Remove the final vbCrLf.
    If UBound(lines) > 1 Then
        new_text = Left$(new_text, Len(new_text) - Len(vbCrLf))
    End If

    ' End the list.
    new_text = new_text & RTF_BULEND

    ' Save the result.
    rtfTest.SelRTF = new_text

    rtfTest.SetFocus
End Sub

Private Sub Form_Load()
    rtfTest.Text = _
        vbCrLf & _
        "Breakfast" & vbCrLf & _
        "Lunch" & vbCrLf & _
        "Dinner" & vbCrLf & _
        vbCrLf & _
        "Apple" & vbCrLf & _
        "Banana" & vbCrLf & _
        "Cherry" & vbCrLf
End Sub


Private Sub Form_Resize()
Dim wid As Single
Dim hgt As Single

    cmdNumberedList.Left = ScaleWidth - cmdNumberedList.Width - rtfTest.Left
    cmdSpecialBullets.Left = cmdNumberedList.Left

    wid = cmdNumberedList.Left - 3 * rtfTest.Left
    If wid < 120 Then wid = 120

    hgt = ScaleHeight - 2 * rtfTest.Top
    If hgt < 120 Then hgt = 120

    rtfTest.Move rtfTest.Left, rtfTest.Top, wid, hgt
End Sub


